<?php
/**
 * The main template file
 *
 * This is the most generic template file in a WordPress theme
 * and one of the two required files for a theme (the other being style.css).
 * It is used to display a page when nothing more specific matches a query.
 * E.g., it puts together the home page when no home.php file exists.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package calmer
 */

get_header();

$blog_sidebar = calmor_opt('blog_layout');
$post_archive_format = calmor_opt('post_archive_format', 'yes');
$readmore_butotn_text = calmor_opt('read_more_text_button', '');

?>
	<main id="primary" class="site-main">
	<?php 
	/**
		 * if active core plugin banner will pull from core plugin
		 * else default load form theme 
		 * @package _calmer Banner
		 * @since 1.0.0
		 */
		$banner_id = get_themebuilder_Id(get_the_ID(), 'banner');
		/**
		 * hook --_calmer_banner -- 10
		 */
		do_action('calmor_banner_content', $banner_id, 'blog');
		calmor_wrapper_start($blog_sidebar);

		if ( have_posts() ) :

			if ( is_home() && ! is_front_page() ) :
				?>
				<header>
					<h1 class="page-title screen-reader-text"><?php single_post_title(); ?></h1>
				</header>
				<?php
			endif;

			/* Start the Loop */
			if($post_archive_format =='yes'){
				while ( have_posts() ) :
					the_post();
					get_template_part( 'template-parts/blog/content/content', get_theme_mod( 'display_excerpt_or_full_post', 'excerpt' ) );

				endwhile;
			}else{
			?>
			<setion class="blog_grid_with_sidebar">
				<div class="container">
					<div class="row">
						<div class="col-lg-12">
							<div class="min_blog_area_blog_list grid two_col">
								<div class="row">
									<?php 
									if( have_posts() ){
									while (have_posts() ){
									the_post();
									?>
									<div class="col-xl-6">
										<div class="single_blog wow fadeInLeft" data-wow-delay="0.3s">
											<div class="blog_top">
											<?php  if( has_post_thumbnail() ){ ?>
												<?php the_post_thumbnail(); ?>
											<?php } ?>
												<span class="author"><a href="">by <?php echo get_the_author(); ?></a></span>
											</div>
											<div class="blog_bottom">
												<div class="date_cetagory">
													<span class="date"><?php echo get_the_date(); ?></span>
													<span>/</span>
													<?php
													$tags = get_the_tags();
													if(!empty($tags)):
														foreach ($tags as $tag){
													?>
													<span class="cetagory"><?php echo $tag->name; ?>,</span>
													<?php
													} 
													endif;
													?>
												</div>
												<h4><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h4>
												<?php if(!empty($readmore_butotn_text)): ?>
												<a href="<?php the_permalink(); ?>" class="text_btn"><?php echo esc_html($readmore_butotn_text); ?> <i
														class="fa-solid fa-arrow-right"></i></a>
												<?php endif; ?>
											</div>
										</div>
									</div>
									<?php
									 }
									 }
									 ?>
								</div>
							</div>
						</div>
					</div>
				</div>
			</setion>
			<?php 
			}
			calmor_pagination();

		else :

			get_template_part( 'template-parts/content', 'none' );

		endif;
		calmor_wrapper_end( $blog_sidebar );
		 ?>
	</main><!-- #main -->
<?php

get_footer();
