<?php
/**
 * The template for displaying all pages
 *
 * This is the template that displays all pages by default.
 * Please note that this is the WordPress construct of pages
 * and that other 'pages' on your WordPress site may use a
 * different template.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package calmer
 */

get_header();
$page_sidebar = calmor_opt('page_layout');

$page_header    = function_exists( 'get_field' ) ? get_field( 'is_banner' ) : '1';
$banner_id = get_calmor_builder_id(get_the_ID(), 'banner');
if($page_header == '1'):

	do_action('calmor_banner_content', $banner_id, 'page');

endif;


?>

<main id="primary" class="site-main innerpage">
	<?php get_template_part('template-parts/banner/banner', 'page'); ?>
	<div class="container">
		<div class="row justify-content-center">
			<?php
				while ( have_posts() ) :
					the_post();

					get_template_part( 'template-parts/content', 'page' );

					// If comments are open or we have at least one comment, load up the comment template.
					if ( comments_open() || get_comments_number() ) :
						comments_template();
					endif;

				endwhile; // End of the loop.
				// sparch_wrapper_end( $page_sidebar );
			?>
		</div>
	</div>
</main><!-- #main -->



<?php
get_footer();
