<?php
/**
 * The template for displaying all pages
 *
 * This is the template that displays all pages by default.
 * Please note that this is the WordPress construct of pages
 * and that other 'pages' on your WordPress site may use a
 * different template.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package sparch
 */

get_header();

$opt = get_option('calmor_opt');
$shop_sidebar = !empty($opt['shop_layout']) ? $opt['shop_layout'] : '';
$sibebar_office_class = "col-lg-8";

if($shop_sidebar == 'show') {
	$sibebar_office_class = "col-lg-8";
}else{
	$sibebar_office_class = "col-lg-12";  
}
?>
	<main id="primary" class="site-main">
	<?php get_template_part('template-parts/banner/banner-woo', 'woo'); ?>
		<div class="container woo">
        	 <div class="row justify-content-center">
            <?php 
                if (is_single()) {
            ?>
            <div class="col-lg-11">
                <div class="blog_post_list">
                    <?php  woocommerce_content(); ?>
                </div>
            </div>
            <?php }else{ ?>
            <?php if($shop_sidebar =='show'){ ?>
				<div class="<?php echo esc_attr(  $sibebar_office_class ); ?>">
					<div class="blog_post_list">
						<?php  woocommerce_content(); ?>
					</div>
            	</div>
				<div class="col-lg-4">
					<?php dynamic_sidebar( 'shop_sidebar' ); ?>
				</div>
           
            <?php }else{ ?>
				<div class="col-lg-12">
                <div class="blog_post_list">
                    <?php  woocommerce_content(); ?>
                </div>
            </div>

			<?php } ?>
           
            <?php } ?>
        </div>
		</div>
	</main><!-- #main -->
<?php
get_footer();
